/*
 * *******************************************************************************************
 *  * Created By Debojyoti Singha
 *  * Copyright (c) 2022.
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  * http://www.apache.org/licenses/LICENSE-2.0
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *  * Contact Email: swingtechnologies452@gmail.com
 * ******************************************************************************************
 */

import 'package:flutter/material.dart';

class DxInsets extends EdgeInsets {
  DxInsets.none() : super.only();

  DxInsets.all(double value) : super.all(value);

  DxInsets.fromLTRB(
    double left,
    double top,
    double right,
    double bottom,
  ) : super.fromLTRB(left, top, right, bottom);

  DxInsets.only(
      {double left = 0.0,
      double right = 0.0,
      double top = 0.0,
      double bottom = 0.0})
      : super.only(left: left, right: right, top: top, bottom: bottom);

  DxInsets.setLeft(double value) : super.only(left: value);

  DxInsets.setRight(double value) : super.only(right: value);

  DxInsets.setTop(double value) : super.only(top: value);

  DxInsets.setBottom(double value) : super.only(bottom: value);
}
