/*
 * *******************************************************************************************
 *  * Created By Debojyoti Singha
 *  * Copyright (c) 2022.
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  * http://www.apache.org/licenses/LICENSE-2.0
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *  * Contact Email: swingtechnologies452@gmail.com
 * ******************************************************************************************
 */

import 'package:freezed_annotation/freezed_annotation.dart';

part 'style_model.freezed.dart';
part 'style_model.g.dart';

@freezed
class StyleModel with _$StyleModel {
  @JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
  const factory StyleModel({
    @JsonKey(name: 'font_size') double? fontSize,
    @JsonKey(name: 'font_weight') String? fontWeight,
    @JsonKey(name: 'type') String? type,
  }) = _StyleModel;

  factory StyleModel.fromJson(Map<String, dynamic> json) =>
      _$StyleModelFromJson(json);
}
