/*
 * *******************************************************************************************
 *  * Created By Debojyoti Singha
 *  * Copyright (c) 2022.
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  * http://www.apache.org/licenses/LICENSE-2.0
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *  * Contact Email: swingtechnologies452@gmail.com
 * ******************************************************************************************
 */

import 'package:dex/src/builder/dx_widget_builder.dart';
import 'package:flutter/material.dart';

class DxSizedBox with DxWidgetBuilder {
  double? width;
  double? height;
  Widget? child;

  DxSizedBox({
    this.child,
    this.width,
    this.height,
  });

  DxSizedBox setWidth(double width) {
    this.width = width;
    return this;
  }

  DxSizedBox setHeight(double height) {
    this.height = height;
    return this;
  }

  DxSizedBox setChild(Widget child) {
    this.child = child;
    return this;
  }

  DxSizedBox fullScreen() {
    setWidth(double.infinity);
    setHeight(double.infinity);
    return this;
  }

  @override
  Widget create() {
    return SizedBox(
      width: width,
      height: height,
      child: child,
    );
  }

  @override
  InkWell toButton(VoidCallback onClick) {
    return InkWell(
      child: create(),
      onTap: onClick,
    );
  }
}
